ngcAPIKey: "$ngcAPIKey"

imagePullSecrets:
  - name: nvcrimagepullsecret
    registry: nvcr.io
    username: "$oauthtoken"
    password: "$ngcAPIKey"

data-store:
  enabled: true
  external:
    rootUrl: "https://nemo-datastore-{{ .Name }}.{{ .Domain }}"
    domain: "nemo-datastore-{{ .Name }}.{{ .Domain }}"

customizer:
  enabled: true
  customizerConfig:
    meta/llama-3.2-1b-instruct:
      enabled: true

nim:
  enabled: false

evaluator:
  enabled: true
  argoWorkflows:
    enabled: true
    crds:
      install: false

guardrails:
  enabled: true

nemo-operator:
  enabled: true

nim-operator:
  enabled: true

dgxc-admission-controller:
  enabled: false

entity-store:
  enabled: true

volcano:
  enabled: true

deployment-management:
  enabled: true
  deployments:
    defaultStorageClass: "longhorn"

nim-proxy:
  enabled: true

ingress:
  enabled: true
  annotations:
    cert-manager.io/cluster-issuer: root-ca-issuer
    cert-manager.io/duration: 8760h
    cert-manager.io/renew-before: 720h
    k8s.apisix.apache.org/plugin-config-name: https-redirect
  className: "apisix"
  tls:
    - hosts:
        - "nemo-{{ .Name }}.{{ .Domain }}"
      secretName: "{{ .Name }}-tls-secret"
  hosts:
    default:
      name: "nemo-{{ .Name }}.{{ .Domain }}"
    nimProxy:
      name: "nim-{{ .Name }}.{{ .Domain }}"
    dataStore:
      name: "data-store-{{ .Name }}.{{ .Domain }}"

virtualService:
  enabled: false